/*******************************************************************************
 *
 * libbasic
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef BASICSTACK_H

#define BASICSTACK_H

#include "simplelist.h"

template <class element>
class basic_stack : private CSimpleList<element>
{
 public:
    void push(element n);
    element pop();
    inline void flip() { CSimpleList<element>::flip();}
    element top() const;
};

//------------------------------------------------------------------------------------------
// Implementation area
//------------------------------------------------------------------------------------------

template <class element>
element basic_stack<element>::top() const
{
    // STH sandalle SF return last();
    return this->last();
}

template <class element>
void basic_stack<element>::push(element n)
{
    *this += n;
}

template <class element>
element basic_stack<element>::pop()
{
    element n;

    // STH sandalle SF n = last();
    n = this->last();
    if(n)
    {
	*this -= n;
    }
    return n;
}

#endif
