/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef FILE_H

#define FILE_H

#include <stdlib.h>
#include <stdio.h>
#include "cstrings.h"

class CFile
{
 private:
    FILE *m_deskriptor;
    CStrings m_strName;
    CStrings m_strMode;
    bool m_bPrivateDeskriptor;
 private:
    static CStrings TopDir(const char *strName);
 public:
    CFile();
    CFile(FILE *deskriptor);
    ~CFile();

    bool Open(const char *strName, const char *strMode);
    void Close();
    bool IsOpen();
    void Flush();

    const CStrings &Name() const;
    const CStrings &Mode() const;

    static bool Exist(const char *strName);
    static bool Remove(const char *strName);
    static bool IsDir(const char *strName);
    static bool mkdir(const char *strPath, bool bCreateWholePath=false);
 protected:
    inline FILE *Deskriptor() const { return m_deskriptor; }
};

#endif
