#ifndef FILTEREDITERATOR_H

#define FILTEREDITERATOR_H

#include "filterediterator.h"

template <class node>
class filtered_iterator : public buffered_iterator<node>
{
    friend class sorted_iterator<node>;
 private:
    int (* filterfunc)(node,void *);
    void *args;

    void retrieve_elements();
 public:
    filtered_iterator();
    ~filtered_iterator();
    void set_filter(int l(node,void *), void *a);
};

//-------------------------------------------------------------------------------------------------
// Implementation Area
//-------------------------------------------------------------------------------------------------

template <class node>
void filtered_iterator<node>::retrieve_elements()
{
    iterator<node> n_it;
    node k;
      
    n_it << internal_field;
    list_reset();
    while(k = n_it++)
    {
	if(filterfunc)
	{
	    if(filterfunc(k,args))
	    {
		list_add(k);
	    }
	}
	else
	{
	    list_add(k);
	}
    }
    list_touch();
}

template <class node>
filtered_iterator<node>::filtered_iterator()
{
    filterfunc = 0;
}

template <class node>
filtered_iterator<node>::~filtered_iterator()
{
}

template <class node>
void filtered_iterator<node>::set_filter(int l(node,void *), void *a)
{
    filterfunc = l;
    args = a;
}

#endif
