/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef GLOBALSTRING_H

#define GLOBALSTRING_H

#ifndef _LANGUAGE
#define _LANGUAGE 1
#endif

extern const char *GlobalString[][2];

enum { IDS_DATE,
       IDS_TEXT,
       IDS_REQUIREMENTS,
       IDS_DESCRIPTION,
       IDS_WEIGHT,
       IDS_PDONE,
       IDS_NAME,
       IDS_REPORT,
       IDS_MILESTONES,
       IDS_INSERT,
       IDS_DELETE,
       IDS_TEMPLATES,
       IDS_PROJECTS,
       IDS_HELP,
       IDS_FILE,
       IDS_NEWPROJECT,
       IDS_OPEN,
       IDS_OPENRECENT,
       IDS_SAVE,
       IDS_QUIT,
       IDS_COPY,
       IDS_CUT,
       IDS_PASTE,
       IDS_LINK,
       IDS_OFFER,
       IDS_AUSMASS,
       IDS_BILLS,
       IDS_ADDRESSES,
       IDS_SALUTATION,
       IDS_FIRSTNAME,
       IDS_STREET,
       IDS_ZIP,
       IDS_TOWN,
       IDS_COUNTRY,
       IDS_MISTER,
       IDS_MISSES,
       IDS_COMPANY,
       IDS_NUMBER,
       IDS_SAVEAS,
       IDS_NEW,
       IDS_POSITION,
       IDS_KURZTEXT,
       IDS_MENGE,
       IDS_PREIS,
       IDS_ME,
       IDS_BETRAG,
       IDS_KALKULATIONSFAKTOR,
       IDS_KEIN,
       IDS_LOHN,
       IDS_MATERIAL,
       IDS_FREMDLEISTUNG,
       IDS_VARIANTEN,
       IDS_PARAMETER,
       IDS_CHANGE,
       IDS_VARIANTEN_EDITIEREN,
       IDS_CHOICE,
       IDS_ZUSCHLAG,
       IDS_OFFERTE_DRUCKEN,
       IDS_VARIANTEN_WAEHLEN,
       IDS_MWST,
       IDS_ZUSCHLAG_LOHN,
       IDS_ZUSCHLAG_MATERIAL,
       IDS_ZUSCHLAG_FREMDLEISTUNG,
       IDS_ZUSCHLAEGE_WAEHLEN,
       IDS_OFFERTEN_TEMPLATE,
       IDS_OFFERTEN_PATH,
       IDS_UNNAMED,
       IDS_LOHNKONTO,
       IDS_SPARKONTO,
       IDS_BARGELDKONTO,
       IDS_KREDITKARTENKONTO,
       IDS_ANLAGEKONTO,
       IDS_INVESTITIONSKONTO,
       IDS_OFFERTE_POSITIONEN_KOPIEREN,
       IDS_OFFERTE_POSITIONEN_REKURSIV_KOPIEREN,
       IDS_AUSMASS_POSITIONEN_KOPIEREN,
       IDS_AUSMASS_POSITIONEN_REKURSIV_KOPIEREN,
       IDS_OFFERTE_PREIS,
       IDS_AUSMASS_PREIS,
       IDS_EIGENER_PREIS,
       IDS_RECHNUNGENBERUECKSICHTIGEN,
       IDS_RECHNUNG_DRUCKEN,
       IDS_MWSTVERRECHNEN,
       IDS_DETAILS,
       IDS_NEUE_RECHNUNG,
       IDS_RECHNUNGSDATUM,
       IDS_ZAHLBARBIS,
       IDS_ERSTELLUNGSDATUM,
       IDS_RECHNUNG_TEMPLATE,
       IDS_RECHNUNG_PATH,
       IDS_OFFERTE_LADEN,
       IDS_PREISE,
       IDS_OPTIONEN,
       IDS_DATES,
       IDS_KONDITIONEN,
       IDS_RABATT,
       IDS_RUNDEN,
       IDS_MWST_KALKULIEREN,
       IDS_DATASPOOLERROOTWAEHLEN,
       IDS_DATASPOOLERFILEWAEHLEN,
       IDS_SERIENBRIEFE,
       IDS_ADDRESSFILE,
       IDS_BRIEFWAEHLEN,
       IDS_AUSGABEVERZEICHNIS,
       IDS_AUSGABEPFADWAEHLEN,
       IDS_PRINT,
       IDS_NEUESKONTO,
       IDS_KONTOLOESCHEN,
       IDS_KONTONUMMER,
       IDS_KONTONAME,
       IDS_OPTIMIZE,
       IDS_SUNDAY,
       IDS_SUNDAY_SHORT,
       IDS_MONDAY,
       IDS_MONDAY_SHORT,
       IDS_TUESDAY,
       IDS_TUESDAY_SHORT,
       IDS_WEDNESDAY,
       IDS_WEDNESDAY_SHORT,
       IDS_THURSDAY,
       IDS_THURSDAY_SHORT,
       IDS_FRIDAY,
       IDS_FRIDAY_SHORT,
       IDS_SATURDAY,
       IDS_SATURDAY_SHORT,
       IDS_JANUARY,
       IDS_FEBRUARY,
       IDS_MARCH,
       IDS_APRIL,
       IDS_MAY,
       IDS_JUNE,
       IDS_JULY,
       IDS_AUGUST,
       IDS_SEPTEMBER,
       IDS_OCTOBER,
       IDS_NOVEMBER,
       IDS_DECEMBER,
       IDS_EASTER,
       IDS_ASCENSIONDAY,
       IDS_EASTERMONDAY,
       IDS_CHRISTMAS,
       IDS_NATIONALFEIERTAG,
       IDS_STEPHANSDAY,
       IDS_NEWYEAR,
       IDS_GOODFRIDAY,
       IDS_WHITSUNTIDE,
       IDS_WHITSUNTIDEMONDAY,
       IDS_LEISTUNG,
       IDS_LOADPROJEKT,
       IDS_ZAHLUNGEN,
       IDS_BILLNR,
       IDS_COSTUMER,
       IDS_BEZAHLT,
       IDS_BETRAG_BEZAHLT,
       IDS_MWST_PREPAID,
       IDS_DATASOURCES,
       IDS_NEWBANK,
       IDS_DELETEBANK,
       IDS_BANKNAME,
       IDS_NEWEMPFAENGER,
       IDS_DELETEEMPFAENGER,
       IDS_EMPFAENGERNAME,
       IDS_EDITKONTO,
       IDS_EDITEMPFAENGER,
       IDS_EDITBANK,
       IDS_QUESTIONDELETEACCOUNT,
       IDS_STARTINGBALANCE,
       IDS_QUESTIONDELETEBANK,
       IDS_BANKLOESCHEN,
       IDS_QUESTIONDELETEEMPFAENGER,
       IDS_EMPFAENGERLOESCHEN,
       IDS_BOOKINGS,
       IDS_CATEGORIES,
       IDS_ACCOUNTS,
       IDS_BANKS,
       IDS_PARTNERS,
       IDS_FILTER,
       IDS_REPORTS,
       IDS_YES,
       IDS_NO,
       IDS_CANCEL,
       IDS_OK,
       IDS_WANTTOSAVE,
       IDS_MODE,
       IDS_VIEWER,
       IDS_EDITOR,
       IDS_ADD,
       IDS_BLOCK,
       IDS_RECOVER,
       IDS_EDIT,
       IDS_HOSTNAME,
       IDS_DATASET,
       IDS_DATASET_WAEHLEN,
       IDS_INPUT_DISK,
       IDS_SETWORKINGDIRECTORY,
       IDS_PROPERTIES,
       IDS_COMMIT,
       IDS_SETTINGS,
       IDS_WORKINGDIRECTORY,
       IDS_EDIT_DATASET,
       IDS_CONNECT,
       IDS_DISCONNECT,
       IDS_PATH,
       IDS_ASK_RECOVER,
       IDS_NEWFILTER,
       IDS_DELETEFILTER,
       IDS_FILTERNAME,
       IDS_EDITFILTER,
       IDS_QUESTIONDELETEFILTER,
       IDS_FILTERLOESCHEN,
       IDS_NEWREPORT,
       IDS_DELETEREPORT,
       IDS_REPORTNAME,
       IDS_EDITREPORT,
       IDS_QUESTIONDELETEREPORT,
       IDS_REPORTLOESCHEN, 
       IDS_COMMENT,
       IDS_AND,
       IDS_OR,
       IDS_NOT,
       IDS_STANDARD
};

#define LANGUAGE_STRING(x) GlobalString[x][_LANGUAGE]

#endif



