/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef IDSTRING_H

#define IDSTRING_H

#include "cstrings.h"

class CIdString : public CStrings
{
 private:
    IDENT m_lNumber;
    IDENT m_idType;
 private:
    void CommonConstruct();
 public:
    inline IDENT Id() const { return m_lNumber; }
    inline IDENT Type() const { return m_idType; }
    inline void SetId(IDENT lId) { m_lNumber = lId; }
    inline void SetType(IDENT idType) { m_idType = idType; }
    inline void operator=(const char *cData) { CStrings::operator=(cData); }
    void operator=(const CIdString &string);
    void operator=(const CStrings &string);
    CIdString();
    CIdString(const char *strString);
    ~CIdString();
};

#endif
