/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#include "lineiterator.h"

CLineIterator::CLineIterator()
{
    m_pString = NULL;
}

void CLineIterator::operator<<(CStrings *pString)
{
    m_pString = pString;
    reset();
}

void CLineIterator::reset()
{
    if (m_pString != NULL)
    {
	m_strCurrentString = *m_pString;
    }
    else
    {
	m_strCurrentString = "";
    }
}

CStrings CLineIterator::operator++(int)
{
	CStrings strData;
	
	int nPosition = m_strCurrentString.Find('\n');

    if (nPosition > 0)
    {
	strData = m_strCurrentString.Left(nPosition);

	m_strCurrentString = m_strCurrentString.Mid(nPosition+1);
    }
    else
    {
	m_strCurrentString = "";
    }

	return strData;
}
