/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef PROPERTIESFILE_H

#define PROPERTIESFILE_H

#include "cstrings.h"
#include "simplelist.h"
#include "date.h"

class CPropertiesFile
{
 private:
    class CPropertiesFileEntry
	{
	private:
	    CStrings m_strName;
	    CStrings m_strValue;
	public:
	    inline CStrings &Name() { return m_strName; }
	    inline CStrings &Value() { return m_strValue; }				
	};
		
    class CPropertiesFileList : public CSimpleList<CPropertiesFileEntry *>
	{
	public:
	    CPropertiesFileEntry *FindEntry(const char *strEntry);
	    void AddEntry(const char *strEntryName, const char *strValue);
	};
		
    CPropertiesFileList m_EntryList;
 protected:
    CStrings m_strFileName;
 protected:
    void LoadValues(bool bHome=true);
    CStrings FileName(bool bHome=true);
    CPropertiesFile();
 public:
    CPropertiesFile(const char *strName);
    ~CPropertiesFile();
		
    CStrings GetEntry(const char *strEntry);
    void SetEntry(const char *strEntry, const char *strValue);
    void SetEntry(const char *strEntry, int nId);
    void SetEntry(const char *strEntry, const CDate &date);
};

#endif
