/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef RECORD_H

#define RECORD_H

#include "stdiofile.h"
#include "simpleobjectlist.h"
#include "field.h"

class CRecord
{
 private:
    int m_nId;
    int m_nSecondId;
    long m_lPosition;
    int m_nSize;
    CSimpleObjectList<CField> m_arrFields;
 private:
    void Initialize();
    void EmptyFields();
    bool ScanLine(CStrings &strLine, bool bSetSize);
    void EncodeString(CStrings &strData);
    void DecodeString(CStrings &strData);
 public:
    CRecord();

    inline int Id() const { return m_nId; }
    inline int SecondId() const { return m_nSecondId; }
    inline int Size() const { return m_nSize; }
    int ActualSize();
    CStrings Data(int nSize=0);
    void SetData(const char *strData);
    
    void Load(FILE *deskriptor);
    CField *Field(int nId) const;

    void Set(int nId, const char *strData);
    bool Get(int nId, CStrings &strData) const;

    bool operator==(const CRecord &record) const;
};

#endif
