#include "refcountobject.h"
#include <basic/macrodefinitions.h>

CRefCountObject::CRefCountObject()
{
    m_nRefCount = 0;
}

CRefCountObject::~CRefCountObject()
{
    ASSERT(RefCount() == 0);
}

void CRefCountObject::Hook(CRefCountObject *pObject)
{
    if (pObject)
    {
	pObject->IncreaseRefCount();
    }
}

void CRefCountObject::Unhook(CRefCountObject *pObject)
{
    if (pObject)
    {
	pObject->DecreaseRefCount();

	if (pObject->RefCount() == NULL)
	{
	    delete pObject;
	}
    }
}
