#ifndef SIMPLEMAP_H

#define SIMPLEMAP_H

#include "simpleobjectlist.h"

template <class hash, class data>
class CSimpleMap: private CSimpleObjectList<data>
{
 private:
    CSimpleObjectList<hash> m_Hashes;
 public:
    void SetAt(const hash &Id, const data &Data);
    data *GetAt(const hash &Id) const;
    data *operator[](int nIndex) const;
    int card() const;
};

template <class hash, class data>
void CSimpleMap<hash, data>::SetAt(const hash &Id, const data &Data)
{
    bool bAppend = true;

    for (int nIndex = 0; nIndex < m_Hashes.card(); nIndex++)
    {
	if (Id == *m_Hashes[nIndex])
	{
	    InsertAt(nIndex, Data);
	    bAppend = false;
	    break;
	}
    }
    
    if (bAppend)
    {
	*this += Data;
	m_Hashes += Id;
    }
}

template <class hash, class data>
data *CSimpleMap<hash, data>::GetAt(const hash &Id) const
{
    for (int nIndex = 0; nIndex < m_Hashes.card(); nIndex++)
    {
	if (*m_Hashes[nIndex] == Id)
	{
	    return (*this)[nIndex];
	}
    }
    
    return NULL;
}

template <class hash, class data>
data *CSimpleMap<hash, data>::operator[](int nIndex) const
{
    return CSimpleObjectList<data>::operator[](nIndex);
}

template <class hash, class data>
int CSimpleMap<hash, data>::card() const
{
    return CSimpleObjectList<data>::card();
}

#endif



