/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef STRINGTOKENIZER_H

#define STRINGTOKENIZER_H

#include "cstrings.h"
#include <string.h>

class CStringTokenizer
{
 private:
    CStrings m_strDelimiter;
    CStrings m_strString;
    int m_nPosition;
 private:
    bool IsDelimiter(char cTest);
 public:
    CStringTokenizer(const char *strDelimiter);

    void operator<<(const char *strString);
    
    bool NextToken(CStrings &strToken, bool bIncludeToken=false);
};

#endif
