/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#include "unique.h"
#include <assert.h>

IDENT unique_object::next_number;
basic_list<IDENT> *unique_object::lost_numbers;
basic_list<IDENT> *unique_object::found_numbers;

unique_object::unique_object()
{
    if(found_numbers&&found_numbers->card())
    {
	myid = found_numbers->first();
	*found_numbers -= myid;
    }
    else
    {
	if(!lost_numbers)
	{
	    lost_numbers = new basic_list</*long int*/IDENT>;
	}
	if(!lost_numbers->in(next_number))
	    myid = next_number++;
	else{
	    do{
		*lost_numbers -= next_number++;
	    }while(lost_numbers->in(next_number));
	    myid = next_number++;
	}
    }
}

unique_object::unique_object(/*long int*/IDENT n)
{
    if(!lost_numbers){
	lost_numbers = new basic_list</*long int*/IDENT>;
    }
    if(!lost_numbers->in(n)){
	if(n>=next_number){
	    if(n==next_number)
		myid = next_number++;
	    else{
		*lost_numbers += n;
		myid = n;
	    }
	}
	else{
	    if(found_numbers&&found_numbers->in(n)){
		myid = n;
		*found_numbers-=n;
	    }
	    else{
		myid = next_number++;
	    }
	}
    }
    else{
	myid = next_number++;
    }
}

unique_object::~unique_object()
{
    if(!found_numbers){
	found_numbers = new basic_list</*long int*/IDENT>;
    }
    assert(!found_numbers->in(myid));
    *found_numbers += myid;
}

void unique_list_dummy::set_id(unique_list_member *ulm, /*long int*/IDENT n)
{
    ulm->SetId(n);
}

void unique_list_dummy::lock(unique_list_member *n)
{
    n->locked = 1;
}

void unique_list_dummy::unlock(unique_list_member *n)
{
    n->locked = 0;
}

unique_list_member::unique_list_member()
{
    m_Id = UNDEFINED_IDENT;
    locked = 0;
}

unique_list_member::unique_list_member(IDENT id)
{
    m_Id = id;
    locked = 0;
}

void unique_list_member::SetId(IDENT id)
{
    if (get_id() != 0 && get_id() != UNDEFINED_IDENT && id != m_Id)
    {
	NotifyIdChanges(id);
    }
    
    m_Id = id;
}

void unique_list_member::NotifyIdChanges(IDENT id)
{

}




