/*******************************************************************************
 *
 * libbasic Version 0.0.1
 *
 * libbasic is a simple framework of foundation classes written in C++.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#include "unique_access.h"
#include <limits.h>
#include <assert.h>

unsigned int unique_access::next_access1;
unsigned int unique_access::next_access2;
unsigned int unique_access::next_access3;
unsigned int unique_access::next_access4;

unique_access::unique_access()
{
    last_access2 = next_access2;
    last_access3 = next_access3;
    last_access4 = next_access4;
	
    touch();
}

void unique_access::touch()
{
    last_access1 = next_access1;
  	
    if ( next_access1++ == UINT_MAX )
    {
	last_access2 = next_access2;
  		
	if ( next_access2++ == UINT_MAX)
	{
	    last_access3 = next_access3;
  			
	    if ( next_access3++ == UINT_MAX)
	    {
		last_access4 = next_access4;
  				
		if ( next_access4++ == UINT_MAX)
		{
		    assert(false);
		}
	    }
	}
    }
}

bool unique_access::IsNewerThan(const unique_access &other) const
{
    if ( last_access4>other.last_access4 )
    {
	return true;
    }
    else if ( last_access4==other.last_access4 )
    {
	if ( last_access3>other.last_access3 )
	{
	    return true;
	}
	else if ( last_access3 == other.last_access3 )
	{
	    if ( last_access2>other.last_access2)
	    {
		return true;
	    }
	    else if ( last_access2==other.last_access2)
	    {
		return ( last_access1>other.last_access1);
	    }
	    else
	    {
		return false;
	    }
	}
	else
	{
	    return false;
	}
    }
    else
    {
	return false;
    }
}
